var componentsModules = require('../components.module');
componentsModules.directive('chatToggleBtn', [function () {
    return {
        restrict: 'A',
        link: function (scope, element, attrs) {
            $(document).ready(function () {

                var toggleActiveClass = function (active) {
                    if (active)
                        $(attrs.chatToggleBtn).addClass('active');
                    else
                        $(attrs.chatToggleBtn).removeClass('active');
                };

                $(attrs.chatToggleBtn).click(function () {
                    window.inGaiaChat_API.emit('chatToggle');
                });

                window.inGaiaChat_API.on('chatSettingsLoaded', function (settings) {
                    toggleActiveClass(!settings.collapsed);
                });

                window.inGaiaChat_API.on('chatVisibilityChange', function (state) {
                    toggleActiveClass(!state.collapsed);
                });
            });
        }
    }
}]);
