var componentsModules = require('../components.module');
componentsModules.directive('chatDisplayMessage', [function () {
    return {
        restrict: 'AE',
        replace: true,
        transclude: true,
        scope: {
            message: '=?message',
            dismissable: '=?dismissable',
            ondismiss: '&?ondismiss'
        },
        templateUrl: 'ingaia-chat/display-message/display-message.tpl.html',
        link: function (scope, element, attrs) {
            scope.dismiss = function () {
                if (scope.ondismiss)
                    scope.ondismiss();
                else
                    scope.$destroy();
            }

            scope.$on('$destroy', function () {
                angular.element(element).remove();
            })
        }
    }
}]);