var componentsModules = require('../components.module');
componentsModules.directive('chatInfiniteScroll', ['$timeout', function ($timeout) {
    return {
        restrict: 'A',
        link: function (scope, element, attrs) {
            var raw = element[0];
            angular.element(element).on('scroll', element, function () {
                if (attrs.scrollInverse == 'true') {
                    if (raw.scrollTop == 0) {
                        scope.$apply(attrs.chatInfiniteScroll);
                        $timeout(function () {
                            raw.scrollTop = 10;
                        }, 100);
                    }
                } else {
                    if (raw.scrollTop + raw.offsetHeight >= raw.scrollHeight)
                        scope.$apply(attrs.chatInfiniteScroll);
                }
            });
        }
    }
}]);