var componentsModules = require('../../components.module');
componentsModules.directive('popoverGrouped', ['ChatPopups', '$timeout', function (ChatPopups, $timeout) {
    return {
        restrict: 'EA',
        link: function (scope) {

            scope.contacts = ChatPopups.grouped;

            scope.openGroupedPopup = function (contact) {
                ChatPopups.shift(contact);
            };

            scope.removeGroupedPopup = function (contact) {
                ChatPopups.closePopup(contact);
            };
        }
    };
}]);
