var componentsModules = require('../components.module');
componentsModules.directive('chatToaster', ['$timeout', function ($timeout) {
    return {
        restrict: 'AE',
        replace: true,
        scope: {
            list: '=list',
            info: '=item'
        },
        templateUrl: 'ingaia-chat/toaster/toaster.tpl.html',
        link: function (scope) {
            scope.close = function (item) {
                $timeout(function () {
                    if (scope.list) {
                        var list = scope.list.filter(function (info) {
                            return item.message != info.message;
                        });
                        scope.list = list;
                    }

                    if (scope.info) {
                        scope.info = {};
                    }

                }, 250);
            };
        }
    }
}]);
