var componentsModules = require('../components.module');
componentsModules.directive(
    "chatToggleValue",
    function () {
        var link = function (scope, element, attrs) {
            angular.element(element).click(function () {
                if (attrs.disabled) {
                    scope.toggle = false;
                    return;
                }
                scope.toggle = !scope.toggle;
            });
        }

        // Return the directive configuration.
        return ({
            link: link,
            scope: {
                toggle: '=chatToggleValue'
            },
            restrict: "A"
        });
    }
);