// chatApiBaseUrl: 'http://staging.api.chat.ingaia.com.br/',
// gaiaCoreUrl: 'http://staging.gaiacore.com.br/',
// galleryBaseUrl: 'http://staging-gallery.ingaia.com.br/',
// galleryUrl: 'http://staging-gallery.ingaia.com.br/medias/#/',
// galleryApi: 'http://staging-gallery.ingaia.com.br/api/file/',
// reportsUrl: 'http://staging-api-chat.ingaia.com.br/messages/',

var config = {
  get chatApiBaseUrl() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)chat_api_url\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  get gaiaCoreUrl() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)gaiacore_url\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  galleryBaseUrl: "http://staging-gallery.ingaia.com.br/",
  galleryUrl: "http://staging-gallery.ingaia.com.br/medias/#/",
  galleryApi: "http://staging-gallery.ingaia.com.br/api/file/",
  get reportsUrl() {
    return this.chatApiBaseUrl + "/messages/";
  },
  get authToken() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)webapi_token\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  get coreToken() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)gaiacore_token\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  token: ""
};

module.exports = config;
