var config = {
  get chatApiBaseUrl() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)chat_api_url\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  get gaiaCoreUrl() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)gaiacore_url\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  galleryBaseUrl: "https://gallery.ingaia.com.br/",
  galleryUrl: "https://gallery.ingaia.com.br/medias/#/",
  galleryApi: "https://gallery.ingaia.com.br/api/file/",
  get reportsUrl() {
    return this.chatApiBaseUrl + "/messages/";
  },
  get authToken() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)webapi_token\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  get coreToken() {
    return document.cookie.replace(
      /(?:(?:^|.*;\s*)gaiacore_token\s*\=\s*([^;]*).*$)|^.*$/,
      "$1"
    );
  },
  token: ""
};

module.exports = config;
