angular.module('inGaiaChat', [
    'inGaiaChat.factories',
    'inGaiaChat.directives',
    'inGaiaChat.filters',
    'emojiApp'
]);

require('./factories');
require('./filters');
require('./events');
require('../../node_modules/angular-chat-emoji-popup/dist/js/config.min');
require('../../node_modules/angular-chat-emoji-popup/dist/js/emoji.min');

// Require Components
require('./components/auto-scroll/auto-scroll.directive');
require('./components/chat-toggle/chat-toggle.directive');
require('./components/checkbox/checkbox.directive');
require('./components/confirm-action/confirm-action.directive');
require('./components/display-message/display-message.directive');
require('./components/toaster/toaster.directive');
require('./components/dropdown/dropdown.directive');
require('./components/focus-on/focus-on.directive');
require('./components/loader/loader.directive');
require('./components/loading-dots/loading-dots.directive');
require('./components/popup/popup.directive');
require('./components/popup/message/popup-message.directive');
require('./components/popup/settings-group/popup-settings-group.directive');
require('./components/popup/settings-single/popup-settings-single.directive');
require('./components/status/status.directive');
require('./components/switch/switch.directive');
require('./components/toggle-btn/toggle-btn.directive');
require('./components/templates/templates');

// Chat on sites
require('./components/login/login.directive');

