var componentsModules = require('../components.module');
componentsModules.directive('chatCheckbox', function () {
    return {
        restrict: 'AE',
        replace: true,
        transclude: true,
        require: '?ngModel',
        template: function (element, attrs) {
            var html = '';
            html += '<span';
            html += ' class="chat-checkbox ' + (attrs.class ? ' ' + attrs.class : '') + '"';
            html += attrs.ngModel ? ' ng-click="' + attrs.disabled + ' ? ' + attrs.ngModel + ' : ' + attrs.ngModel + '=!' + attrs.ngModel + (attrs.ngChange ? '; ' + attrs.ngChange + '()"' : '"') : '';
            html += ' ng-class="{ checked:' + attrs.ngModel + ', disabled:' + attrs.disabled + ' }"';
            html += '>';
            html += '<i class="fa" ng-class="' + (attrs.ngModel) + ' ? \'fa-check-circle-o\' : \'fa-circle-o\'"></i>';
            html += '<input type="checkbox"';
            html += attrs.id ? ' id="' + attrs.id + '"' : '';
            html += attrs.name ? ' name="' + attrs.name + '"' : '';
            html += attrs.ngModel ? ' ng-model="' + attrs.ngModel + '"' : '';
            html += ' style="display:none" />';
            return html;
        }
    }
});